<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<title>Javascript - Reactive DOM with JSON</title>
</head>
<body>
	<div class="text-center container">
		<h1 class="my-3">Movie Post Form</h1>
		<h2 class="my-3">Add Movie Post</h2>
		<form id="form-add-post" method="POST">
			<div class="form-group">
				<label for="title">Title</label>
				<input class="form-control" type="text" id="txt-title" name="title" placeholder="Pulp Fiction">
			</div>
			<div class="form-group">
				<label for="body">Body</label>
				<textarea class="form-control" id="txt-body" name="body" placeholder="Written and directed by Quentin Tarantino."></textarea>
			</div>
			<button type="submit" class="btn btn-success">Create</button>
		</form>

		<h2 class="my-3">Edit Movie Post</h2>
		<form id="form-edit-post" method="POST">
			<div class="form-group">
				<input class="form-control" type="text" id="txt-edit-id" hidden>
			</div>
			<div class="form-group">
				<label for="edit-title">Title</label>
				<input class="form-control" type="text" id="txt-edit-title" name="edit-title" placeholder="Pulp Fiction">
			</div>
			<div class="form-group">
				<label for="body">Body</label>
				<textarea class="form-control" id="txt-edit-body" name="edit-body" placeholder="Written and directed by Quentin Tarantino."></textarea>
			</div>
			<button type="submit" class="btn btn-primary">Update</button>
		</form>

		<h2 class="my-3">Movie Posts</h2>
		<div id="div-post-entries"></div>
	</div>
	<script src="./script.js"></script>
	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>